我们经常发布文档更新,此页面的翻译可能仍在进行中。有关最新信息,请访问英文文档。如果此页面上的翻译有问题,请告诉我们
文章版本: GitHub.com

页面构建失败:高亮插件语言无效

如果 GitHub 页面代码使用包含无效语言标识符的 highlighter 标记,GitHub 页面站点将无法构建。

如果 GitHub 页面 站点因指定了无效的高亮插件语言而构建失败,将会收到一封包含以下消息的电子邮件:

主题:页面构建失败

页面构建因以下错误而失败:

高亮插件语言标识符 invalidlanguage 无效。

高亮插件语言错误疑难排解

提示:我们强烈建议本地运行 Jekyll,以便在推送到 GitHub 之前能够轻松调试和修复构建错误。要详细了解故障排除选项,请参阅“GitHub Pages 构建故障排除。”

Rouge 是 Jekyll 的默认语法高亮插件,兼容于 Pygments 高亮插件。 确保:

延伸阅读

问问别人

找不到要找的内容?

联系我们